#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <float.h>

#include "u.h"
#include "m.h"
#include "g.h"
#include "fit.h"

static char rcsid[] = {"$Id: fitanlxfer.c,v 1.1.1.1 1997/07/10 17:59:57 kraemer Exp $"};

/*
   --- Functions to handle analyzer name transfer

       fitAnlXFerFree()    : frees resources
       fitAnlXFerInspect() : inspects contents
 
   Copyright  (C) 1987-1997 M.Kraemer, D-64283 Darmstadt, Hoelgesstr. 16,
                             all rights reserved
   $Log: fitanlxfer.c,v $
   Revision 1.1.1.1  1997/07/10 17:59:57  kraemer
   revision for cvs

*/

int fitAnlXFerFree(
                    struct SFITANLXFER *psFAXF,
                    unsigned long lFlag
                   ) {
   int iRC = ERRFIT_BADADDR;
   char *pDbgMsg = __FILE__"(fitAnlXFerFree)", *pMsg = pDbgMsg;
   int iDim, ii;


if ( lFlag & FIT_DEBUG ) fprintf( stderr, "<D> %s.....\n", pDbgMsg );
                                      /* check valid inputs */
   if ( psFAXF == NULL ) goto gError;
                                      /* free names */
   if ( psFAXF->pcAnl ) free( psFAXF->pcAnl ); psFAXF->pcAnl = NULL;
   if ( psFAXF->pcEvt ) free( psFAXF->pcEvt ); psFAXF->pcEvt = NULL;

   iRC = 0;
gError:;
   if ( (iRC < 0) && !(lFlag&FIT_NOMSG) ) {
      fitemsg( pMsg, iRC );
   }

if ( lFlag & FIT_DEBUG ) fprintf( stderr, "<D> %s done\n", pDbgMsg );
   return(iRC);
}
/*
   =========================================================================
*/
int fitAnlXFerInspect(
                    struct SFITANLXFER *psFAXF,
                    unsigned long lFlag
                   ) {
   int iRC = ERRFIT_BADADDR;
   char *pDbgMsg = __FILE__"(fitAnlXFerInspect)", *pMsg = pDbgMsg;
   int iDim, ii;


if ( lFlag & FIT_DEBUG ) fprintf( stderr, "<D> %s.....\n", pDbgMsg );
                                      /* check valid inputs */
   if ( psFAXF == NULL ) goto gError;
                                      /* */
   fprintf( stderr, "<D> SFITANLXFER=%X\n", psFAXF );
   fprintf( stderr, "<D> anl=%X\n", psFAXF->pcAnl );
   if ( psFAXF->pcAnl )
   fprintf( stderr, "<D> anl=%s\n", psFAXF->pcAnl );
   fprintf( stderr, "<D> evt=%X\n", psFAXF->pcEvt );
   if ( psFAXF->pcEvt )
   fprintf( stderr, "<D> evt=%s\n", psFAXF->pcEvt );

   iRC = 0;
gError:;
   if ( (iRC < 0) && !(lFlag&FIT_NOMSG) ) {
      fitemsg( pMsg, iRC );
   }

if ( lFlag & FIT_DEBUG ) fprintf( stderr, "<D> %s done\n", pDbgMsg );
   return(iRC);
}
/*
   =========================================================================
*/
