#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <float.h>
#include <limits.h>

#include "u.h"
#include "m.h"
#include "cmd.h"
#include "g.h"
#include "fit.h"
#include "fitusr.h"

static char rcsid[] = {"$Id: fitcmderr.c,v 1.2 2002/11/18 15:19:53 kraemer Exp $"};

extern struct SFIT sFit;
/*
   --- Command processor for the FERROR command

   Copyright  (C) 1987-1997 M.Kraemer, D-64283 Darmstadt, Hoelgesstr. 16,
                             all rights reserved
   $Log: fitcmderr.c,v $
   Revision 1.2  2002/11/18 15:19:53  kraemer
   fitusr included

   Revision 1.1.1.1  1997/07/10 17:59:58  kraemer
   revision for cvs

*/

void fitCmdErr(
                long *plNone, long *plStat, long *plTheory,
                double *pdPercent,
                const char *pcAnl,
                long *plOwn,
                long *plDebug
              ) {
   int iRC = ERRFIT_BADADDR;
   char *pDbgMsg = __FILE__, *pMsg = pDbgMsg;
   unsigned long lFlag = 0, lMode = 0;
#define MSTR 132
   char cStr[MSTR+1];
   char *pc;


   if ( *plDebug ) lFlag |= FIT_DEBUG;
if ( lFlag & FIT_DEBUG ) fprintf( stderr, "<D> %s.....\n", pDbgMsg );
                                      /*  */
   if ( *plNone   ) lMode = FITDATAERR_NONE;
   if ( *plStat   ) lMode = FITDATAERR_STAT;
   if ( *plTheory ) lMode = FITDATAERR_THEORY;
   if ( *plOwn    ) lMode = FITDATAERR_OWN;
   if ( *pdPercent > 0E0 ) {
      lMode = FITDATAERR_PERCENT;
   }

                                      /* external errors not supported */
   while ( *pcAnl == ' ' ) pcAnl++;
   if ( *pcAnl ) {
      pMsg = "anl";
      iRC = ERRFIT_CMDPARNOTYET; goto gError;
   }

                                      /*  */
   switch( lMode ) {
   case 0:           /* list current error mode */
      pc = "<I> Experimental errors defined ";
      switch( sFit.sFDE.lMode ) {
      case FITDATAERR_NONE:
         sprintf( cStr, "%sto be zero", pc );
      break;
      case FITDATAERR_OWN:
         sprintf( cStr, "%stogether with the data", pc );
      break;
      case FITDATAERR_STAT:
         sprintf( cStr, "%sby square root of experimental values", pc);
      break;
      case FITDATAERR_PERCENT:
         sprintf( cStr, "%sby %G %% of experimental values", pc, sFit.sFDE.dPercent );
      break;
      case FITDATAERR_THEORY:
         sprintf( cStr, "%sby square root of fit values", pc );
      break;
/*
      case FITDATAERR_ANAL:
         sprintf( cStr, "%sby analyzer %s.%s",
                        pc, sFit.sFAError.pcAnl, sFit.sFAError.pcEvt );
      break;
*/
      case 0:
         sprintf( cStr, "<I> Experimental errors undefined" );
      break;
      default:
         iRC = ERRFIT_INVERRMODE; goto gError;
      break;
      }
      _prtcl( cStr, CMDPRTCL_FILE | CMDPRTCL_TERM );
   break;
   case FITDATAERR_NONE:
   break;
   case FITDATAERR_OWN:
   break;
   case FITDATAERR_STAT:
   break;
   case FITDATAERR_PERCENT:
      sFit.sFDE.dPercent = *pdPercent;
   break;
   case FITDATAERR_THEORY:
   break;
/*
   case FITDATAERR_ANAL:
   break;
*/
   default:
      iRC = ERRFIT_CMDPAREXCL; goto gError;
   break;
   }

   if ( lMode > 0 ) sFit.sFDE.lMode = lMode;
   iRC = 0;
gError:;
   if ( (iRC < 0) && !(lFlag&FIT_NOMSG) ) {
      fitemsg( pMsg, iRC );
   }
if ( lFlag & FIT_DEBUG ) fprintf( stderr, "<D> %s done\n", pDbgMsg );
   return;
}
