
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <float.h>
#include <limits.h>

#include "u.h"
#include "m.h"
#include "cmd.h"
#include "g.h"
#include "fit.h"

static char rcsid[] = {"$Id: fitcmdmlfit.c,v 1.2 1997/12/15 18:55:11 kraemer Exp $"};

extern struct SFIT sFit;
/*
   --- Command processor for the FMLFIT command

   Copyright  (C) 1987-1997 M.Kraemer, D-64283 Darmstadt, Hoelgesstr. 16,
                             all rights reserved
   $Log: fitcmdmlfit.c,v $
   Revision 1.2  1997/12/15 18:55:11  kraemer
   fit statistics in function block

   Revision 1.1.1.1  1997/07/10 18:00:00  kraemer
   revision for cvs

*/

void fitCmdMLFit( double *pdE1, double *pdE2, double *pdE3, double *pdE4,
                  double *pdTau,
                  long *plL0, long *plLd, long *plEIter,
                  long *plList,
                  long *plDebug
                ) {
   int iRC = ERRFIT_BADADDR;
   char *pDbgMsg = __FILE__, *pMsg = pDbgMsg;
   unsigned long lFlag = 0;

   char cStr[255+1];


   if ( *plDebug ) lFlag |= FIT_DEBUG;
if ( lFlag & FIT_DEBUG ) fprintf( stderr, "<D> %s.....\n", pDbgMsg );
                                      /*  */
                                      /*  */
   if ( *plList ) {
      sprintf( cStr, "<I> e1=%G e2=%G e3=%G e4=%G",
                     sFit.sFFB.sFS.dEps[0],
                     sFit.sFFB.sFS.dEps[1],
                     sFit.sFFB.sFS.dEps[2],
                     sFit.sFFB.sFS.dEps[3]
             );
      _prtcl( cStr, CMDPRTCL_FILE | CMDPRTCL_TERM );
      sprintf( cStr, "<I> tau=%G", sFit.sFFB.sFS.dTau );
      _prtcl( cStr, CMDPRTCL_FILE | CMDPRTCL_TERM | CMDPRTCL_NOTIME );
      sprintf( cStr, "<I> l0=%ld ld=%ld", sFit.sFFB.sFS.lL0, sFit.sFFB.sFS.lLd );
      _prtcl( cStr, CMDPRTCL_FILE | CMDPRTCL_TERM | CMDPRTCL_NOTIME );
      sprintf( cStr, "<I> # of Error Iterations=%ld", sFit.sFFB.sFS.lEIter );
      _prtcl( cStr, CMDPRTCL_FILE | CMDPRTCL_TERM | CMDPRTCL_NOTIME );
   } else {
      if ( *pdE1 > 0E0 ) sFit.sFFB.sFS.dEps[0] = *pdE1;
      if ( *pdE2 > 0E0 ) sFit.sFFB.sFS.dEps[1] = *pdE2;
      if ( *pdE3 > 0E0 ) sFit.sFFB.sFS.dEps[2] = *pdE3;
      if ( *pdE4 > 0E0 ) sFit.sFFB.sFS.dEps[3] = *pdE4;
      if ( *pdTau > 0E0 ) sFit.sFFB.sFS.dTau   = *pdTau;
      if ( *plEIter > 0 ) sFit.sFFB.sFS.lEIter  = *plEIter;
      if ( *plL0 > 0 ) sFit.sFFB.sFS.lL0     = *plL0;
      if ( *plLd > 0 ) sFit.sFFB.sFS.lLd     = *plLd;
   }
                                      /*  */
   iRC = 0;
gError:;
   if ( (iRC < 0) && !(lFlag&FIT_NOMSG) ) {
      fitemsg( pMsg, iRC );
   }
if ( lFlag & FIT_DEBUG ) fprintf( stderr, "<D> %s done\n", pDbgMsg );
   return;
}
