
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <float.h>

#include "m.h"
#include "g.h"
#include "fit.h"
static char rcsid[] = {"$Id: fitexpon.c,v 1.1.1.1 1997/07/10 18:00:04 kraemer Exp $"};
/*
   --- Exponentials + constant,
       y = p0 + p1 * exp( p2 * x ) + p3 * exp( p4 * x ) + ...

   Copyright  (C) 1987-1997 M.Kraemer, D-64283 Darmstadt, Hoelgesstr. 16,
                             all rights reserved
  
       /mk/ /12/93
   $Log: fitexpon.c,v $
   Revision 1.1.1.1  1997/07/10 18:00:04  kraemer
   revision for cvs


*/
#define DDPAR(ii,jj) ddPar[ (ii) * nX + (jj) ]

/*
   =========================================================================
*/
int fitExpon( void *pvFF,
              double *dPar,                 /* function parameters */
             double *ddPar,                 /* switch=FITFCT_VAL:
                                              ddPar[nPar][0] = lower limit
                                              ddPar[nPar][1] = upper limit
                                              switch=FITFCT_DERIV:
                                              ddPar[nPar][nX] */
             double *dX, double *dY,
             int nPar, int nX,
             unsigned long lFlag
           ) {
   int iRC = FITUSR_OK;
   struct SFITFCT *psFF = pvFF;

   switch( lFlag ) {
                                      /* return # of parameters */
   case FITFCT_NPAR:
      return(nPar);
   break;
                                      /* return start values */
   case FITFCT_VAL:
      memset(  dPar, 0, nPar * sizeof(double) );
   break;
   case FITFCT_FCT:       /* return function values only */
   case FITFCT_DISP:      /* return function values only, for display */
      ddPar = NULL;
   case FITFCT_DERIV:     /* return function values & parameter derivatives  */
      vexpon( dX, 1, dPar, (nPar-1)/2, dY, 1, ddPar, nX );
   break;
   default: break;
   }
   return(iRC);
}
