#ifndef EVT_H
#define EVT_H
/*
   === definitions for event structure ====================

*/
/*
   --- constants -----------------------------------------------
*/
                        /* some system limits */
#define MEVTNAME 18
                        /* event header */
struct SEVT {
   unsigned long lStatus;
   char cEvt[MEVTNAME], cPad[2];  /* name and padding */
   long iEvt;                     /* number */
   int  iADC, iCAM;               /* ?, for compatibility */
   int  iOflo, iSize;             /* event buffer oflo/size */
   struct SAP sAP;                /* Analyzer structure */
   void       *pBuf;              /* ptr. to data buffer */
   void (*eEntry) ();             /* user analysis routine */
};
                     /* Structure for data communication between
                        sort routine and buffer processing routines */
struct SSRTCOM {
   void *pSHXFrom7, *pSHBlock; /* ptr.s to transfer/data block header */
   void *pData;                /* ptr. to data */
   long lSBytc;                /* bytes containing data */
   long lType, lSubType;       /* data type/subtype */
   long lMax, lRun, lCur;      /* max/running/current # of blocks in chain */
   long lFlag;                 /* $B_SFNF=0/1 forgettable/noforgettable data */
};

                      /* event header arrays */
#define MEP 10        /* allocation increment */
struct SEP {
   unsigned long lStatus;
   long lEvt;          /* global event type ($I_EVT) */
   struct SEVT *pEvt;  /* global event ptr. ($P_EVT) */
   long lEvtDisp;      /* last displayed event type  */
   long lEvtTrace;     /* last traced event type  */
   int mEP, nEP;       /* max/current # of event types */
   struct SEVT **pEP;  /* array of ptr.s to event type headers */
   struct SSRTCOM sSrtCom;
                       /* to protect **pEP, nEp, mEP : */
/*
#if defined(AMIGA)
   struct SignalSemaphore ep_Semaphore;
#else
   int iSemID; 
#endif
*/
};
/*
   --- Common flags -------------------------------------------------------
*/
#define EVT_DEBUG    0x80000000         /* global debug */
#define EVT_VERBOSE  0x40000000         /* verbose mode */
#define EVT_SYSINIT  0x10000000         /* analyzer system initialized */
#define EVT_ANALACT  0x20000000         /* analysis running for this evt*/
/*
   --- error codes ----------------------------------------------------
*/
#define ERREVT_SYS          -1
#define ERREVT_RECALL       -2
#define ERREVT_ADCZERO      -3
#define ERREVT_INVNOBYTES   -4
#define ERREVT_INVEVT       -5
#define ERREVT_ANALYSISINIT -6
/*
   --- function definitions -------------------------------------------
*/
int _dmyprc(void);

int  _evtdef( long *, char *, long, long, int (*)() );
int _evtfil( long );
struct SEVT *_evtptr( long, long *);

void _evtemsg( char *, int );
#endif
