/*
   --- hard coded character font tables -------------------

   Copyright  (C) 1992-1997 M.Kraemer, D-64283 Darmstadt, Hoelgesstr. 16,
                             all rights reserved

   $Log: gchar.h,v $
   Revision 1.1.1.1  1997/07/10 17:43:21  kraemer

*/
#define MGCHAR (GT_MAXCHAR-0x20) /* skip first 32 ASCII codes */
                                 /* char types for kerning table */
#define G_E 0
#define G_A 1
#define G_F 2
#define G_P 3
#define G_L 4
#define G_T 5
#define G_V 6
#define G_a 7
#define G_b 8
#define G_d 9
#define G_f 10
#define G_j 11
#define G_slash 12

#define MGCHARTYPE 13
#define MGCHARFAC  (6*10)  /* scale factor for intrinsic char coord. */
                           /* kerning table */
   static float rCorrMatrix[MGCHARTYPE][MGCHARTYPE] = {
     /* E   A   F   P   L   T   V   a   b   d   f   j   /  */
/*E*/   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
/*A*/   0,  0,  0,  0,  0, .8,  1,  0,  0,  0,  0,  0,  0,
/*F*/   0, .8,  0,  0,  0,  0,  0, .7,  0, .7,  0, .3, .5,
/*P*/   0, .6,  0,  0,  0,  0,  0,  0,  0,  0,  0, .3, .4,
/*L*/   0,  0,  0,  0,  0,  1,  1,  0,  0,  0,  0,  0,  0,
/*T*/   0,  1,  0,  0,  0,  0,  0, .8,  0, .8,  0, .2, .4,
/*V*/   0,  1,  0,  0,  0,  0,  0, .8,  0, .8,  0, .1,1.4,
/*a*/   0,  0,  0,  0,  0, .9, .9,  0,  0,  0,  0,  0,  0,
/*b*/   0,  0,  0,  0,  0, .9, .9,  0,  0,  0,  0, .3,  0,
/*d*/   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, .3,  0,
/*f*/   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, .3, .1,
/*j*/   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
/* / */ 0,1.4,  0,  0,  0,  0,  0, .6,  0, .5, .1, .4,1.5,
   };


struct SGCURVE { signed char bb[4][2]; }; /* x1,y1,x2,y2,x3,y3,x4,y4 */
struct SGLINE  { signed char bb[2][2]; }; /* x1,y1,x2,y2 */
struct SGPNT   { signed char bb[2], bSize; }; /* xc,yc,relsize */
                         /* character structure */
struct SGCHAR {
   signed char bExt[4]; /* ?,width(pos),baseline(neg),height(pos) */
   signed char nL, nC, nP; unsigned char bType; /* #lines,#curves,#pnts, kerningtype */
   struct SGLINE *pL;
   struct SGCURVE *pC;
   struct SGPNT  *pP;
};

/* ! */
static struct SGLINE sL001[1] = { 0, 2, 0, 4 };
static struct SGPNT  sP001[1] = { 0, 0, 1, };
/* " */
static struct SGLINE sL002[2] = { 8, 45, 15, 60,
                                 23, 45, 30, 60,  };
/* # */
static struct SGLINE sL003[4] = {
     5,  5,  5, 55,
    25,  5, 25, 55,
    00, 15, 30, 15,
    00, 45, 30, 45, };
/* $ */
static struct SGLINE sL004[1] = { 20, -2, 20, 62, };
static struct SGCURVE sE004[3] = {
   40,40, 40,53, 00,53, 00,40,
   00,40, 00,25, 40,35, 40,20,
   40,20, 40, 7, 00, 7, 00,20,
};
/* % */
static struct SGLINE sL005[] = { 00, 00, 40, 60, };
static struct SGCURVE sE005[] = {
   20,50, 20,63, 00,63, 00,50,
   20,50, 20,37, 00,37, 00,50,
   40,10, 40,23, 20,23, 20,10,
   40,10, 40,-3, 20,-3, 20,10,
};
/* & */
static struct SGCURVE sE006[] = {
   40,20, 40,-4, 00,-4, 00,15,
   00,15, 00,25, 35,25, 35,40,
   35,40, 35,60, 10,60, 10,40,
   10,40, 10,30, 25,15, 40,00,
};
/* ' */
static struct SGLINE sL007[] = { 00, 40, 10, 60, };
/* ( */
static struct SGCURVE sE008[] = { 8,0, -3,20, -3,40, 8,60,};
/* ) */
static struct SGCURVE sE009[] = { 2,0, 13,20, 13,40, 2,60,};
/* * */
static struct SGLINE sL010[] = {
   00, 20, 30, 20,
    8,  7, 23, 33,
   23,  7,  8, 33,
};
/* + */
static struct SGLINE sL011[] = {
   00, 30, 30, 30,
   15, 15, 15, 45,
};
/* , */
static struct SGCURVE sE012[] = { 10,11, 10,5, 10,-5, 6,-13};
/* - */
static struct SGLINE sL013[] = { 00, 30, 30, 30, };
/* . */
static struct SGPNT sP014[] = { 00, 00, 10, };
/* / */
static struct SGLINE sL015[] = { 00, 00, 40, 60, };
/* 0 */
/*
static struct SGLINE sL016[] = {
   00, 45, 00, 15,
   30, 15, 30, 45,
};
*/
static struct SGCURVE sE016[] = {
   0,30, 0,70, 30,70, 30,30,
   0,30, 0,-10, 30,-10, 30,30,
};
/* 1 */
static struct SGLINE sL017[] = {
   00, 50, 10, 60,
   10, 60, 10, 00,
};
/* 2 */
static struct SGCURVE sE018[] = {
   00,45, 00,70, 45,60, 26,34,
};
static struct SGLINE sL018[] = {
   26, 34, 00, 00,
   00, 00, 30, 00,
};
/* 3 */
static struct SGCURVE sE019[] = {
   00,45, 00,65, 30,65, 30,45,
   30,45, 30,38, 23,30, 15,30,
   30,15, 30,23, 23,30, 15,30,
   00,15, 00,-5, 30,-5, 30,15,
};
/* 4 */
static struct SGLINE sL020[] = {
   20, 60, 00, 10,
   00, 10, 30, 10,
   20, 25, 20, 00,
};
/* 5 */
static struct SGLINE sL021[] = {
   30, 60, 00, 60,
   00, 60, 00, 25,
   30, 15, 30, 25,
};
static struct SGCURVE sE021[] = {
   00,25, 00,45, 30,45, 30,25,
/*
   00,15, 00,-5, 30,-5, 30,15,
*/
   4,4, 13,-4, 30,0, 30,15,
};
/* 6 */
static struct SGCURVE sE022[] = {
   00,45, 00, 65, 27, 64, 29,50,
   00,20, 00, 40, 30, 40, 30,20,
   00,15, 00,-05, 30,-05, 30,15,
};
static struct SGLINE sL022[] = {
   00, 45, 00, 15,
   30, 15, 30, 20,
};
/* 7 */
static struct SGLINE sL023[] = {
   00, 50, 00, 60,
   00, 60, 30, 60,
   30, 60, 00, 00,
};
/* 8 */
static struct SGCURVE sE024[] = {
   00,15, 00, 35, 30, 35, 30,15,
   00,15, 00,-05, 30,-05, 30,15,
   00,45, 00, 65, 30, 65, 30,45,
   00,45, 00, 25, 30, 25, 30,45,
};
/* 9 */
static struct SGCURVE sE025[] = {
/*
   30,15, 30,-4, 03,-5, 01,10,
*/
   30,15, 30,0, 13,-4, 4,4,
   00,40, 00,20, 30,20, 30,40,
   00,45, 00,65, 30,65, 30,45,
};
static struct SGLINE sL025[] = {
   30, 15, 30, 45,
   00, 40, 00, 45,
};
/* : */
static struct SGPNT sP026[] = {
   05, 10, 10,
   05, 35, 10,
};
/* ; */
static struct SGPNT  sP027[] = { 15, 35, 10, };
static struct SGCURVE sE027[] = { 10,11, 10,05, 10,-05, 06, -13 };
/* < */
static struct SGLINE sL028[] = {
   30, 45, 00, 30,
   00, 30, 30, 15,
};
/* = */
static struct SGLINE sL029[] = {
   00,23, 40,23,
   00,38, 40,38,
};
/* > */
static struct SGLINE sL030[] = {
   00, 45, 30, 30,
   30, 30, 00, 15,
};
/* ? */
static struct SGCURVE sE031[] = {
   00,45, 00,65, 30,65, 30,45,
   30,45, 30,30, 15,30, 15,15,
};
/*
static struct SGLINE sL031[] = {
   30, 40, 30, 50,
   15, 20, 15, 25,
};
*/
static struct SGPNT sP031[] = { 15, 00, 10, };
/* @ */
static struct SGCURVE sE032[] = {
   35,5,  20,-3, 00,-3, 00,30,
   00,30, 00,68, 40,68, 40,35,
   40,35, 40,20, 30,20, 30,35,
   10,35, 10,50, 30,50, 30,35,
   10,35, 10,20, 30,20, 30,35,
};
/* A */
static struct SGLINE sL033[] = {
   00, 00, 25,60,
   25, 60, 50,00,
    6, 15, 44,15,
};
/* B */
static struct SGLINE sL034[] = {
   00, 00, 00, 60,
   00, 60, 25, 60,
   00, 30, 25, 30,
   00, 00, 25, 00,
};
static struct SGCURVE sE034[] = {
   25,60, 45,60, 45,30, 25,30,
   25,30, 45,30, 45,00, 25,00,
};
/* C */
static struct SGCURVE sE035[] = {
   0,30, 0,65, 30,65, 38, 50,
   0,30, 0,-5, 30,-5, 38, 10,
};
/* D */
static struct SGLINE sL036[] = {
   00, 00, 00, 60,
};
static struct SGCURVE sE036[] = {
    0,0, 20,0, 40,0, 40,30,
   0,60, 20,60, 40,60, 40,30,
};
/* E */
static struct SGLINE sL037[] = {
   40, 00, 00, 00,
   00, 00, 00, 60,
   00, 60, 40, 60,
   00, 30, 30, 30,
};
/* F */
static struct SGLINE sL038[] = {
   00, 00, 00, 60,
   00, 60, 40, 60,
   00, 30, 30, 30,
};
/* G */
static struct SGCURVE sE039[] = {
   0,30, 0,65, 30,65, 38, 50,
   0,30, 0,-10, 40,-10, 40,30,
};
static struct SGLINE sL039[] = {
   40, 30, 20, 30,
};
/* H */
static struct SGLINE sL040[] = {
   00, 00, 00, 60,
   00, 30, 40, 30,
   40, 00, 40, 60,
};
/* I */
static struct SGLINE sL041[] = {
   00, 00, 10, 00,
   00, 60, 10, 60,
   05, 00, 05, 60,
};
/* J */
static struct SGLINE sL042[] = {
   00, 60, 20, 60,
   20, 60, 20, 10,
};
static struct SGCURVE sE042[] = {
   0,10, 0,-3, 20,-3, 20,10,
};
/* K */
static struct SGLINE sL043[] = {
   00, 00, 00, 60,
   00, 20, 40, 60,
   10, 30, 40, 00,
};
/* L */
static struct SGLINE sL044[] = {
   00, 60, 00, 00,
   00, 00, 30, 00,
};
/* M */
static struct SGLINE sL045[] = {
   00, 00, 00, 60,
   00, 60, 25, 10,
   25, 10, 50, 60,
   50, 60, 50, 00,
};
/* N */
static struct SGLINE sL046[] = {
   00, 00, 00, 60,
   00, 60, 40, 00,
   40, 00, 40, 60,
};
/* O */
static struct SGCURVE sE047[] = {
   0,40, 0,67, 40,67, 40,40,
   0,20, 0,-7, 40,-7, 40,20,
};
static struct SGLINE sL047[] = {
   00, 40, 00, 20,
   40, 20, 40, 40,
};
/* P */
static struct SGLINE sL048[] = {
   00, 00, 00, 60,
   00, 60, 25, 60,
   25, 30, 00, 30,
};
static struct SGCURVE sE048[] = {
   25,60, 45,60, 45,30, 25,30,
};
/* Q */
static struct SGCURVE sE049[] = {
   0,40, 0,67, 40,67, 40,40,
   0,20, 0,-7, 40,-7, 40,20,
};
static struct SGLINE sL049[] = {
   00, 40, 00, 20,
   40, 20, 40, 40,
   20, 20, 45, 00,
};
/* R */
static struct SGLINE sL050[] = {
   00, 00, 00, 60,
   00, 60, 25, 60,
   00, 30, 25, 30,
   25, 30, 40, 00,
};
static struct SGCURVE sE050[] = {
   25,60, 45,60, 45,30, 25,30,
};
/* S */
static struct SGCURVE sE051[] = {
   0,45, 0,65, 40,65, 40,45,
   0,45, 0,20, 40,40, 40,15,
   0,15, 0,-5, 40,-5, 40,15,
};
/*
static struct SGLINE sL051[] = {
   00, 50, 00, 40,
   40, 20, 40, 10,
};
*/
/* T */
static struct SGLINE sL052[] = {
   00, 60, 30, 60,
   15, 00, 15, 60,
};
/* U */
static struct SGLINE sL053[] = {
   00, 60, 00, 20,
   40, 20, 40, 60,
};
static struct SGCURVE sE053[] = {
   0,20, 0,-7, 40,-7, 40,20,
};
/* V */
static struct SGLINE sL054[] = {
   00, 60, 20, 00,
   20, 00, 40, 60,
};
/* W */
static struct SGLINE sL055[] = {
   00, 60, 15, 00,
   15, 00, 30, 60,
   30, 60, 45, 00,
   45, 00, 60, 60,
};
/* X */
static struct SGLINE sL056[] = {
   00, 60, 40, 00,
   00, 00, 40, 60,
};
/* Y */
static struct SGLINE sL057[] = {
   00, 60, 20, 30,
   20, 30, 40, 60,
   20, 30, 20, 00,
};
/* Z */
static struct SGLINE sL058[] = {
   00, 60, 40, 60,
   40, 60, 00, 00,
   00, 00, 40, 00,
};
/* [ */
static struct SGLINE sL059[] = {
   10, 00, 00, 00,
   00, 00, 00, 60,
   00, 60, 10, 60,
};
/* \ */
static struct SGLINE sL060[] = { 40, 00, 00, 60, };
/* ] */
static struct SGLINE sL061[] = {
   00, 00, 10, 00,
   10, 00, 10, 60,
   10, 60, 00, 60,
};
/* ^ */
static struct SGLINE sL062[] = {
   00, 40, 20, 60,
   20, 60, 40, 40,
};
/* _ */
static struct SGLINE sL063[] = { 00, 00, 40, 00, };
/* ` */
static struct SGLINE sL064[] = { 10, 40, 00, 60, };
/* a */
static struct SGCURVE sE065[] = {
   0,30,  0,43, 30,43, 30,30,
  30,30, 30,13,  0,27,  0,10,
   0,10,  0,-3, 30,-3, 30,10,
};
static struct SGLINE sL065[] = {
   30, 30, 30, 00,
   30, 00, 35, 00,
};
/* b  */
static struct SGLINE sL066[] = {
   00, 60, 00, 15,
   30, 15, 30, 25,
   00, 25, 00, 00,
};
static struct SGCURVE sE066[] = {
   0,25,  0,45, 30,45, 30,25,
   0,15,  0,-5, 30,-5, 30,15,
};
/* c  */
static struct SGCURVE sE067[] = {
   0,20,  0,43, 30,43, 35,33,
   0,20,  0,-3, 30,-3, 35, 7,
};
/* d  */
static struct SGLINE sL068[] = {
   30, 00, 30, 25,
   00, 25, 00, 15,
   30, 15, 30, 60,
};
static struct SGCURVE sE068[] = {
   0,25,  0,45, 30,45, 30,25,
   0,15,  0,-5, 30,-5, 30,15,
};
/* e  */
static struct SGLINE sL069[] = {
   00, 22, 30, 22,
   30, 22, 30, 25,
   00, 25, 00, 15,
};
static struct SGCURVE sE069[] = {
   0,25,  0,45, 30,45, 30,25,
   0,15,  0,-4, 26,-4, 29,10,
};
/* f  */
static struct SGLINE sL070[] = {
   10, 00, 10, 45,
   00, 40, 25, 40,
};
static struct SGCURVE sE070[] = { 10,45, 10,57, 13, 60, 25,60, };
/* g  */
static struct SGCURVE sE071[] = {
   30,-5,  30,-24, 04,-24, 01,-10,
    0,25,   0,45, 30,45, 30,25,
    0,15,   0,-5, 30,-5, 30,15,
};
static struct SGLINE sL071[] = {
   30, -5, 30, 25,
   00, 25, 00, 15,
   30, 15, 30, 40,
};
/* h  */
static struct SGLINE sL072[] = {
   30, 00, 30, 25,
   00, 00, 00, 60,
};
static struct SGCURVE sE072[] = { 0,25,  0,45, 30,45, 30,25, };
/* i  */
static struct SGLINE sL073[] = { 02, 00, 02, 40, };
static struct SGPNT  sP073[] = { 02, 60, 10, };
/* j  */
static struct SGCURVE sE074[] = { -5,-20, 5,-20, 15,-10, 15,00, };
static struct SGLINE sL074[] = { 15, 00, 15, 40, };
static struct SGPNT  sP074[] = { 15, 60, 10, };
/* k  */
static struct SGLINE sL075[] = {
   00, 00, 00, 60,
   00, 10, 30, 40,
   10, 20, 30, 00,
};
/* l  */
static struct SGLINE sL076[] = { 00, 60, 00, 10, };
static struct SGCURVE sE076[] = { 00,10, 00,05, 05,00, 10,00, };
/* m  */
static struct SGLINE sL077[] = {
   60, 00, 60, 25,
   30, 25, 30, 00,
   00, 00, 00, 40,
};
static struct SGCURVE sE077[] = {
   00,25, 00,45, 30,45, 30,25,
   30,25, 30,45, 60,45, 60,25,
};
/* n  */
static struct SGLINE sL078[] = {
   30, 00, 30, 25,
   00, 00, 00, 40,
};
static struct SGCURVE sE078[] = {
   00,25, 00,45, 30,45, 30,25,
};
/* o  */
static struct SGCURVE sE079[] = {
   0,25,  0,45, 30,45, 30,25,
   0,15,  0,-5, 30,-5, 30,15,
};
static struct SGLINE sL079[] = {
   00, 25, 00, 15,
   30, 15, 30, 25,
};
/* p  */
static struct SGLINE sL080[] = {
   00, 40, 00, 15,
   30, 15, 30, 25,
   00, 25, 00,-20,
};
static struct SGCURVE sE080[] = {
   0,25,  0,45, 30,45, 30,25,
   0,15,  0,-5, 30,-5, 30,15,
};
/* q  */
static struct SGLINE sL081[] = {
   30,-20, 30, 25,
   00, 25, 00, 15,
   30, 15, 30, 40,
};
static struct SGCURVE sE081[] = {
   0,25,  0,45, 30,45, 30,25,
   0,15,  0,-5, 30,-5, 30,15,
};
/* r  */
static struct SGLINE sL082[] = { 00, 00, 00, 40, };
static struct SGCURVE sE082[] = { 0,25, 0,35, 10,40, 20,40, };
/* s  */
static struct SGCURVE sE083[] = {
   0,30, 0,43, 30,43, 30,30,
   0,30, 0,13, 30,27, 30,10,
   0,10, 0,-3, 30,-3, 30,10,
};
/* t  */
static struct SGLINE sL084[] = {
   10, 60, 10, 10,
   20, 00, 25, 00,
   00, 40, 25, 40,
};
static struct SGCURVE sE084[] = { 10,10, 10,05, 15,00, 20,00, };
/* u  */
static struct SGLINE sL085[] = {
   00, 40, 00, 15,
   30, 00, 30, 40,
};
static struct SGCURVE sE085[] = { 0,15,  0,-5, 30,-5, 30,15, };
/* v  */
static struct SGLINE sL086[] = {
   00, 40, 15, 00,
   15, 00, 30, 40,
};
/* w  */
static struct SGLINE sL087[] = {
   00, 40, 15, 00,
   15, 00, 30, 40,
   30, 40, 45, 00,
   45, 00, 60, 40,
};
/* x  */
static struct SGLINE sL088[] = {
   00, 40, 30, 00,
   00, 00, 30, 40,
};
/* y  */
static struct SGLINE sL089[] = {
   00, 40, 15, 00,
    8,-20, 30, 40,
};
/* z  */
static struct SGLINE sL090[] = {
   00, 40, 30, 40,
   30, 40, 00, 00,
   00, 00, 30, 00,
};
/* {  */
static struct SGCURVE sE091[] = {
   10,60, 03,60, 07,30, 00,30,
   00,30, 07,30, 03,00, 10,00,
};
/* |  */
static struct SGLINE sL092[] = { 00, 00, 00, 60, };
/* }  */
static struct SGCURVE sE093[] = {
   00,60, 07,60, 03,30, 10,30,
   10,30, 03,30, 07,00, 00,00,
};
/* ~  */
static struct SGCURVE sE094[] = {
   07,30, 32,50, 37,10, 62,30,
};
/* AE  */
static struct SGLINE sL097[] = {
   00,00, 25, 60,
   25,60, 50, 00,
   44,15,  6, 15,
};
static struct SGPNT  sP097[] = {
   10, 70, 10,
   40, 70, 10,
};
/* OE  */
static struct SGCURVE sE098[] = {
   0,40, 0,67, 40,67, 40,40,
   0,20, 0,-7, 40,-7, 40,20,
};
static struct SGLINE sL098[] = {
   00, 40, 00, 20,
   40, 40, 40, 20,
};
static struct SGPNT  sP098[] = {
   01, 70, 10,
   39, 70, 10,
};
/* UE  */
static struct SGLINE sL099[] = {
   00, 60, 00, 20,
   40, 20, 40, 60,
};
static struct SGCURVE sE099[] = { 0,20, 0,-7, 40,-7, 40,20,};
static struct SGPNT  sP099[] = {
   10, 70, 10,
   30, 70, 10,
};
/* ae  */
static struct SGCURVE sE100[] = {
   0,30,  0,43, 30,43, 30,30,
  30,30, 30,13,  0,27,  0,10,
   0,10,  0,-3, 30,-3, 30,10,
};
static struct SGLINE sL100[] = {
   30, 10, 30, 30,
   30, 30, 30, 00,
   30, 00, 35, 00,
};
static struct SGPNT  sP100[] = {
   05, 55, 10,
   25, 55, 10,
};
/* oe  */
static struct SGCURVE sE101[] = {
   0,25,  0,45, 30,45, 30,25,
   0,15,  0,-5, 30,-5, 30,15,
};
static struct SGLINE sL101[] = {
   00, 25, 00, 15,
   30, 15, 30, 25,
};
static struct SGPNT  sP101[] = {
   05, 55, 10,
   25, 55, 10,
};
/* ue  */
static struct SGLINE sL102[] = {
   00, 40, 00, 15,
   30, 00, 30, 40,
};
static struct SGCURVE sE102[] = { 0,15,  0,-5, 30,-5, 30,15, };
static struct SGPNT  sP102[] = {
   05, 55, 10,
   25, 55, 10,
};
/* sz  */
static struct SGCURVE sE103[] = {
   00,45, 00,85, 65,30, 05,30,
   05,30, 40,30, 40,00, 05,00,
};
static struct SGLINE sL103[] = {
   00,-20, 00, 45,
};
/* eg */
static struct SGLINE sL104[] = { -10, 48, 10, 63, };
/* gr  */
static struct SGLINE sL105[] = {  10, 48,-10, 63, };
/* ce  */
static struct SGLINE sL106[] = {  02, 00,-05,-15, };
/* al  */
static struct SGCURVE sE107[] = {
   00,20, 00,-9, 20,-9, 30,40,
   00,20, 00,49, 20,49, 30,00,
};
/* be  */
static struct SGCURVE sE108[] = {
   00,45, 00,85, 65,30, 05,30,
   05,30, 40,30, 40,00, 05,00,
};
static struct SGLINE sL108[] = {
   00,-20, 00, 45,
};
/* ga  */
static struct SGCURVE sE109[] = {
   00,35,  00,45, 20,45,  20,-10,
   20,-10, 20,-23, 10,-23, 10,-10,
   10,-10, 10,20,  20,40,  30,40,
};
/* de  */
static struct SGCURVE sE110[] = {
   15,40, -5,40, -5,00,  15,00,
   15,00, 35,00, 35,40,  15,40,
   30,20, 30,50, -20,60, 30,60,
};
/* ep  */
static struct SGCURVE sE111[] = {
   00,10, 00,-3, 30,-3, 30,10,
   00,10, 00,15,  5,20, 15,20,
   15,20, 05,20, 00,25, 00,30,
   00,30, 00,43, 30,43, 30,30,
};
/* ze  */
static struct SGCURVE sE112[] = {
   15,60, -5,60, -5,50, 15,50,
   15,50, 35,50, 35,58, 25,58,
   25,58, 10,58,-20,00, 20,00,
   20,00, 33,00, 33,-20, 20,-20,
};
/* et  */
static struct SGCURVE sE113[] = {
   00,35, 00,42, 10,42, 10,35,
   10,30, 10,43, 30,43, 30,30,
};
static struct SGLINE sL113[] = {
   10, 35, 10, 00,
   30, 30, 30, -20,
};
/* th  */
static struct SGCURVE sE114[] = {
  00,25, 00,35, 10,35, 10,15,
  10,15, 10,-7, 32,-7, 32,30,
  32,30, 32,65, 10,65, 10,50,
  10,50, 10,30, 30,40, 40,40,
};
/* jo  */
static struct SGCURVE sE115[] = { 00,05, 00,-2, 10,-2, 10,05};
static struct SGLINE sL115[] = { 00, 40, 00, 05, };
/* ka  */
static struct SGCURVE sE116[] = {
   00,30,  5,44, 25,44, 20,20,
   20,20, 15,-5, 00,-5, 23,20,
   23,20, 45,45, 30,45, 25,23,
   25,20, 20,-4, 40,-4, 45,10,
};
/* la  */
static struct SGCURVE sE117[] = {
   00,60, 25,60, 05,00, 30,00,
};
static struct SGLINE sL117[] = {
   00, 00, 15, 30,
};
/* my  */
static struct SGLINE sL118[] = {
   00,-20, 00, 40,
   30, 40, 30, 05,
};
static struct SGCURVE sE118[] = {
   00,15, 00,-5, 30,-5, 30,15,
   30,05, 30,02, 32,00, 35,00,
};
/* ny  */
static struct SGCURVE sE119[] = {
   00,40, 05,40, 10,20, 10,00,
   10,00, 20,00, 30,20, 30,40,
};
/* ks  */
static struct SGCURVE sE120[] = {
   15,60, -5,60,  -5,50,  15,50,
   15,50, 35,50,  35,58,  25,58,
   25,58,  5,58, -10,30,  20,30,
   20,30, 35,30,  35,38,  25,38,
   25,38,  5,38, -15,00,  20,00,
   20,00, 33,00,  33,-20, 20,-20,
};
/* pi  */
static struct SGCURVE sE121[] = {
    00,05, 00,-2, 10,-2, 10,05,
    25,05, 25,-2, 35,-2, 35,05,
    00,30, 00,35, 05,40, 10,40,
};
static struct SGLINE sL121[] = {
   35, 40, 10, 40,
   10, 40, 10, 05,
   25, 40, 25, 05,
};
/* rh  */
static struct SGCURVE sE122[] = {
   00,20, 00, 47, 30,47, 30,20,
   00,20, 00, -7, 30,-7, 30,20,
   00,20, 00,-20, 25,-5, 25,-20,
};
/* si  */
static struct SGCURVE sE123[] = {
   00,20, 00,47, 30,47, 30,20,
   00,20, 00,-7, 30,-7, 30,20,
   15,40, 25,40, 30,45, 30,50,
};
/* ta  */
static struct SGCURVE sE124[] = {
   00,30, 00,35, 05,40, 10,40,
   15,05, 15,-2, 25,-2, 25,05,
};
static struct SGLINE sL124[] = {
   10, 40, 30, 40,
   15, 40, 15, 05,
};
/* yp  */
static struct SGCURVE sE125[] = {
   00,40, 20,40, 00,00, 20,00,
   20,00, 42,00, 42,25, 35,40,
};
/* ph  */
static struct SGCURVE sE126[] = {
   10,40, -4,40, -4,00, 15,00,
   15,00, 34,00, 34,40, 20,40,
   20,40, 15,40, 15,10, 15,-20,
};
/* ch  */
static struct SGCURVE sE127[] = {
   00,40, 25,40, 05,-20, 30,-20,
};
static struct SGLINE sL127[] = { 00,-20, 30, 40, };
/* ps  */
static struct SGCURVE sE128[] = { 2,20, -10,-7, 40,-7, 28,20, };
static struct SGLINE sL128[] = { 15, 40, 15, -20, };
/* om  */
static struct SGCURVE sE129[] = {
   10,40, -3,40, -3,00, 10,00,
   10,00, 15,00, 20,10, 20,20,
   20,20, 20,10, 25,00, 30,00,
   30,00, 43,00, 43,40, 30,40,
};
/* AL  */
static struct SGLINE sL130[] = {
   00, 00, 25, 60,
   25, 60, 50, 00,
    6, 15, 44, 15,
   00, 00, 00, 00,
   00, 00, 00, 00,
   00, 00, 00, 00,
};
/* BE */
static struct SGLINE sL131[] = {
   00, 00, 00, 60,
   00, 60, 25, 60,
   00, 30, 25, 30,
   00, 00, 25, 00,
};
static struct SGCURVE sE131[] = {
   25,60, 45,60, 45,30, 25,30,
   25,30, 45,30, 45,00, 25,00,
};
/* GA  */
static struct SGLINE sL132[] = {
   00, 00, 00, 60,
   00, 60, 40, 60,
   40, 60, 40, 50,
};
/* DE  */
static struct SGLINE sL133[] = {
   00, 00, 20, 60,
   20, 60, 40, 00,
   40, 00, 00, 00,
};
/* EP  */
static struct SGLINE sL134[] = {
   40, 00, 00, 00,
   00, 00, 00, 60,
   00, 60, 40, 60,
   00, 30, 30, 30,
};
/* ZE  */
static struct SGLINE sL135[] = {
   00, 60, 40, 60,
   40, 60, 00, 00,
   00, 00, 40, 00,
};
/* ET  */
static struct SGLINE sL136[] = {
   00, 00, 00, 60,
   00, 30, 40, 30,
   40, 00, 40, 60,
};
/* TH  */
static struct SGLINE sL137[] = { 10, 30, 30, 30, };
static struct SGCURVE sE137[] = {
   00,30, 00,70, 40,70, 40,30,
   00,30, 00,-10, 40,-10, 40,30,
};
/* JO  */
static struct SGLINE sL138[] = {
   00, 00, 10, 00,
   00, 60, 10, 60,
   05, 00, 05, 60,
};
/* KA */
static struct SGLINE sL139[] = {
   00, 00, 00, 60,
   00, 20, 40, 60,
   10, 30, 40, 00,
};
/* LA  */
static struct SGLINE sL140[] = {
   00, 00, 20, 60,
   20, 60, 40, 00,
};
/* MY  */
static struct SGLINE sL141[] = {
   00, 00, 00, 60,
   00, 60, 25, 10,
   25, 10, 50, 60,
   50, 60, 50, 00,
};
/* NY */
static struct SGLINE sL142[] = {
   00, 00, 00, 60,
   00, 60, 40, 00,
   40, 00, 40, 60,
};
/* KS  */
static struct SGLINE sL143[] = {
   00, 00, 40, 00,
   10, 30, 30, 30,
   00, 60, 40, 60,
};
/* PI  */
static struct SGLINE sL144[] = {
   00, 60, 40, 60,
   10, 00, 10, 60,
   30, 00, 30, 60,
};
/* RH  */
static struct SGLINE sL145[] = {
   00, 00, 00, 60,
   00, 60, 25, 60,
   25, 30, 00, 30,
};
static struct SGCURVE sE145[] = {
   25,60, 45,60, 45,30, 25,30,
};
/* SI  */
static struct SGLINE sL146[] = {
   40, 00, 00, 00,
   00, 00, 30, 30,
   30, 30, 00, 60,
   00, 60, 40, 60,
};
/* TA  */
static struct SGLINE sL147[] = {
   00, 60, 30, 60,
   15, 00, 15, 60,
};
/* YP  */
static struct SGLINE sL148[] = { 20, 00, 20, 50, };
static struct SGCURVE sE148[] = {
   00,50, 00,63, 20,63, 20,50,
   20,50, 20,63, 40,63, 40,50,
};
/* PH  */
static struct SGLINE sL149[] = { 20, 00, 20, 60, };
static struct SGCURVE sE149[] = {
   00,30, 00,57, 40,57, 40,30,
   00,30, 00,3, 40,3, 40,30,
};
/* CH  */
static struct SGLINE sL150[] = {
   00, 60, 40, 00,
   00, 00, 40, 60,
};
/* PS  */
static struct SGLINE sL151[] = {
   20, 00, 20, 60,
   00, 60, 00, 40,
   40, 60, 40, 40,
};
static struct SGCURVE sE151[] = { 00,50, 00,20, 40,20, 40,50, };
/* OM  */
static struct SGLINE sL152[] = {
   00, 00, 20, 00,
   20, 00, 20,10,
   50, 00, 30, 00,
   30, 00, 30,10,
};
static struct SGCURVE sE152[] = {
   20,10, -7,15, -7,60, 25,60,
   30,10, 57,15, 57,60, 25,60,
};
/* hb  */
static struct SGLINE sL153[] = {
   30, 00, 30, 25,
   00, 00, 00, 60,
   -10, 35, 20, 55,
};
static struct SGCURVE sE153[] = { 0,25,  0,45, 30,45, 30,25, };
/* lb  */
static struct SGCURVE sE154[] = {
   00,60, 25,60, 05,00, 30,00,
};
static struct SGLINE sL154[] = {
   00, 00, 15, 30,
   00, 35, 30, 55,
};
/* in  */
static struct SGCURVE sE155[] = {
   40,90, 10,90, 30,-30, 00,-30,
};
/* pd  */
static struct SGCURVE sE156[] = {
   00,50, 00,65, 25,65, 25,30,
   25,30, 25,-7, 00,-7, 00,15,
   00,15, 00,35, 20,35, 22,20,
};
/* bl  */
static struct SGLINE sL157[] = {
   10, 00, 00, 00,
   00, 00, 00, 60,
   00, 60, 10, 60,
};
/* br */
static struct SGLINE sL158[] = {
   00, 00, 10, 00,
   10, 00, 10, 60,
   10, 60, 00, 60,
};
/* if  */
static struct SGCURVE sE159[] = {
  15,00, -5,00, -5,40, 15,40,
  15,40, 40,40, 20,00, 45,00,
  45,00, 65,00, 65,40, 45,40,
  45,40, 20,40, 40,00, 15,00,
};
/* <-  */
static struct SGLINE sL160[] = {
   50, 30, 00, 30,
   00, 30, 15, 20,
   00, 30, 15, 40,
};
/* ->  */
static struct SGLINE sL161[] = {
   00, 30, 50, 30,
   50, 30, 35, 20,
   50, 30, 35, 40,
};
/* up  */
static struct SGLINE sL162[] = {
   10, 05, 10, 55,
   10, 55, 00, 40,
   10, 55, 20, 40,
};
/* dn  */
static struct SGLINE sL163[] = {
   10, 55, 10, 05,
   10, 05, 00, 20,
   10, 05, 20, 20,
};
/* sb  */
static struct SGLINE sL164[] = {
   00, 30, 10, 30,
   10, 30, 20, 00,
};
/* se  */
static struct SGLINE sL165[] = {
   00, 00, 40, 00,
   40, 00, 20, 00,
};
/* mb  */
/* me  */
static struct SGLINE sL167[] = { 00, 00,-10, 00, };
/* _b  */
/* _e  */
static struct SGLINE sL169[] = { 00,-25,-10,-25, };
/* ap  */
static struct SGCURVE sE170[] = {
   5,35, 30,60, 30,10, 55,35,
   5,20, 30,45, 30,-5, 55,20,
};
/* pr  */
static struct SGCURVE sE171[] = {
   05,28, 30,53, 30,3, 55,28,
};
/* >=  */
static struct SGLINE sL172[] = {
   00, 45, 30, 30,
   30, 30, 00, 15,
   00, 05, 30, 05,
};
/* <=  */
static struct SGLINE sL173[] = {
   30, 45, 00, 30,
   00, 30, 30, 15,
   00, 05, 30, 05,
};
/* >a */
static struct SGLINE sL174[] = {
   00, 45, 30, 30,
   30, 30, 00, 15,
};
static struct SGCURVE sE174[] = {
   00,5, 10,20, 20,-10, 30,5,
};
/* <a  */
static struct SGLINE sL175[] = {
   30, 45, 00, 30,
   00, 30, 30, 15,
};
static struct SGCURVE sE175[] = {
   00,5, 10,20, 20,-10, 30,5,
};
/* perp  */
static struct SGLINE sL176[] = {
   00, 00, 40, 00,
   20, 00, 20, 60,
};
/* ml  */
static struct SGLINE sL177[] = {
   00, 40, 30, 10,
   00, 10, 30, 40,
};
/* bu  */
static struct SGPNT  sP178[] = { 05, 30, 25, };
/* id  */
static struct SGLINE sL179[] = {
   00, 45, 40, 45,
   00, 30, 40, 30,
   00, 15, 40, 15,
};
/* +-  */
static struct SGLINE sL180[] = {
   00, 40, 30, 40,
   15, 25, 15, 55,
   00, 10, 30, 10,
};
/* do  */
static struct SGPNT  sP181[] = { 00, 55, 10, };
/* ve  */
static struct SGLINE sL182[] = {
    00, 55, 00, 55,
   -10, 60, 00, 55,
    00, 55,-10, 50,
};
/* te  */
static struct SGLINE sL183[] = {
   10, 50, 00, 55,
   00, 55, 10, 60,
   00, 55, 00, 55,
  -10, 50, 00, 55,
   00, 55,-10, 60,
};
/* na  */
static struct SGLINE sL184[] = {
   00, 40, 15, 00,
   15, 00, 30, 40,
   30, 40, 00, 40,
};
/* pa  */
static struct SGCURVE sE185[] = {
   20,65, 10,75, -5,60,  20,35,
   20,35, 30,25, 20,15,  10,25,
   10,25, 00,35, 10,45,  20,35,
   10,25, 35,00, 20,-15, 10,-05,
};
/* 1l  */
static struct SGLINE sL186[] = {
   10, 50, 20, 60,
   20, 60, 20, 00,
};
/* ,,  */
static struct SGLINE sL187[] = {
    8, 00, 15, 15,
   23, 00, 30, 15,
};
/* at */
static struct SGCURVE sE188[] = {
   0,30,  0,43, 30,43, 30,30,
  30,30, 30,13,  0,27,  0,10,
   0,10,  0,-3, 30,-3, 30,10,
  00,55, 10,70, 20,40, 30,55,
};
static struct SGLINE sL188[] = {
   30, 30, 30, 00,
   30, 00, 35, 00,
};
/* li */
static struct SGCURVE sE189[] = {
   00,10, 45,65,  5,75, 05,30,
   05,30, 05,-7, 20,-7, 25,15,
};
/* ic */
static struct SGCURVE sE190[] = {
   40,90, 10,90, 30,-30, 00,-30,
   05,30, 05,50, 35,50, 35,30,
   05,30, 05,10, 35,10, 35,30,
};
/* an */
static struct SGLINE sL191[] = {
   00, 00, 25,60,
   25, 60, 50,00,
    6, 15, 44,15,
};
static struct SGCURVE sE191[] = {
   19,66, 19,74, 31,74, 31,66,
   19,66, 19,58, 31,58, 31,66,
};
/* dw */
/* ti */
static struct SGCURVE sE193[] = {
   00,10, 20,40, 40,-20, 60,10,
};
/* TE */
static struct SGLINE sL194[] = {
   12, 71, 00, 77,
   00, 77, 12, 83,
   00, 77, 00, 77,
  -12, 71, 00, 77,
   00, 77,-12, 83,
};
/* VE */
static struct SGLINE sL195[] = {
   00, 77, 00, 77,
  -12, 83, 00, 77,
   00, 77,-12, 71,
};
/* DO */
static struct SGPNT  sP196[] = { 00, 75, 10, };
/* EG */
static struct SGLINE sL197[] = { -10, 68, 10, 83,};
/* GR */
static struct SGLINE sL198[] = { 10, 68,-10, 83, };
/* ci */
static struct SGLINE sL199[] = {
   -12, 48, 00, 63,
   00, 63, 12, 48,
};
/* CI */
static struct SGLINE sL200[] = {
   -12, 68, 00, 83,
   00, 83, 12, 68,
};
/* Ce */
static struct SGLINE sL201[] = { 02, 00,-05,-15,};


static struct SGCHAR sgCharTab[MGCHAR] = {
/*   */ 00, 35, 00, 60, 0, 0, 0, G_E, NULL, NULL, NULL,
/* ! */ 00, 00, 00, 40, 1, 0, 1, G_E, &sL001[0], NULL, &sP001[0],
/* " */ 00, 25, 00, 60, 2, 0, 0, G_E, &sL002[0], NULL, NULL,
/* # */ 00, 30, 00, 60, 4, 0, 0, G_E, &sL003[0], NULL, NULL,
/* $ */ 00, 40,-02, 62, 1, 3, 0, G_E, &sL004[0], &sE004[0], NULL,
/* % */ 00, 40, 00, 60, 1, 4, 0, G_E, &sL005[0], &sE005[0], NULL,
/* & */ 00, 40, 00, 60, 0, 4, 0, G_E, NULL, &sE006[0], NULL,
/* ' */ 00, 10, 00, 60, 1, 0, 0, G_E, &sL007[0], NULL, NULL,
/* ( */ 00, 10, 00, 60, 0, 1, 0, G_E, NULL, &sE008[0], NULL,
/* ) */ 00, 10, 00, 60, 0, 1, 0, G_E, NULL, &sE009[0], NULL,
/* * */ 00, 30, 00, 35, 3, 0, 0, G_E, &sL010[0], NULL, NULL,
/* + */ 00, 30, 00, 45, 2, 0, 0, G_E, &sL011[0], NULL, NULL,
/* , */ 00, 10,-10, 10, 0, 1, 0, G_E, NULL, &sE012[0], NULL,
/* - */ 00, 30, 00, 30, 1, 0, 0, G_E, &sL013[0], NULL, NULL,
/* . */ 00, 10, 00, 10, 0, 0, 1, G_E, NULL, NULL, &sP014[0],
/* / */ 00, 40, 00, 60, 1, 0, 0, G_E, &sL015[0], NULL, NULL,
/* 0 */ 00, 35, 00, 60, 0, 2, 0, G_E, NULL, &sE016[0], NULL,
/* 1 */ 00, 15, 00, 60, 2, 0, 0, G_E, &sL017[0], NULL, NULL,
/* 2 */ 00, 35, 00, 60, 2, 1, 0, G_E, &sL018[0], &sE018[0], NULL,
/* 3 */ 00, 35, 00, 60, 0, 4, 0, G_E, NULL, &sE019[0], NULL,
/* 4 */ 00, 35, 00, 60, 3, 0, 0, G_E, &sL020[0], NULL, NULL,
/* 5 */ 00, 35, 00, 60, 3, 2, 0, G_E, &sL021[0], &sE021[0], NULL,
/* 6 */ 00, 35, 00, 60, 2, 3, 0, G_E, &sL022[0], &sE022[0], NULL,
/* 7 */ 00, 35, 00, 60, 3, 0, 0, G_E, &sL023[0], NULL, NULL,
/* 8 */ 00, 35, 00, 60, 0, 4, 0, G_E, NULL, &sE024[0], NULL,
/* 9 */ 00, 35, 00, 60, 2, 3, 0, G_E, &sL025[0], &sE025[0], NULL,
/* : */ 00, 10, 00, 40, 0, 0, 2, G_E, NULL, NULL, &sP026[0],
/* ; */ 00, 20,-10, 40, 0, 1, 1, G_E, NULL, &sE027[0], &sP027[0],
/* < */ 00, 30, 00, 50, 2, 0, 0, G_E, &sL028[0], NULL, NULL,
/* = */ 00, 40, 00, 40, 2, 0, 0, G_E, &sL029[0], NULL, NULL,
/* > */ 00, 30, 00, 50, 2, 0, 0, G_E, &sL030[0], NULL, NULL,
/* ? */ 00, 30, 00, 60, 0, 2, 1, G_E, NULL, &sE031[0], &sP031[0],
/* @ */ 00, 40, 00, 60, 0, 5, 0, G_E, NULL, &sE032[0], NULL,
/* A */ 00, 50, 00, 60, 3, 0, 0, G_A, &sL033[0], NULL, NULL,
/* B */ 00, 40, 00, 60, 4, 2, 0, G_E, &sL034[0], &sE034[0], NULL,
/* C */ 00, 38, 00, 60, 0, 2, 0, G_E, NULL, &sE035[0], NULL,
/* D */ 00, 40, 00, 60, 1, 2, 0, G_E, &sL036[0], &sE036[0], NULL,
/* E */ 00, 40, 00, 60, 4, 0, 0, G_E, &sL037[0], NULL, NULL,
/* F */ 00, 40, 00, 60, 3, 0, 0, G_F, &sL038[0], NULL, NULL,
/* G */ 00, 40, 00, 60, 1, 2, 0, G_E, &sL039[0], &sE039[0], NULL,
/* H */ 00, 40, 00, 60, 3, 0, 0, G_E, &sL040[0], NULL, NULL,
/* I */ 00, 10, 00, 60, 3, 0, 0, G_E, &sL041[0], NULL, NULL,
/* J */ 00, 20, 00, 60, 2, 1, 0, G_E, &sL042[0], &sE042[0], NULL,
/* K */ 00, 40, 00, 60, 3, 0, 0, G_E, &sL043[0], NULL, NULL,
/* L */ 00, 30, 00, 60, 2, 0, 0, G_L, &sL044[0], NULL, NULL,
/* M */ 00, 50, 00, 60, 4, 0, 0, G_E, &sL045[0], NULL, NULL,
/* N */ 00, 40, 00, 60, 3, 0, 0, G_E, &sL046[0], NULL, NULL,
/* O */ 00, 40, 00, 60, 2, 2, 0, G_E, &sL047[0], &sE047[0], NULL,
/* P */ 00, 40, 00, 60, 3, 1, 0, G_P, &sL048[0], &sE048[0], NULL,
/* Q */ 00, 45, 00, 60, 3, 2, 0, G_E, &sL049[0], &sE049[0], NULL,
/* R */ 00, 40, 00, 60, 4, 1, 0, G_E, &sL050[0], &sE050[0], NULL,
/* S */ 00, 40, 00, 60, 0, 3, 0, G_E, NULL, &sE051[0], NULL,
/* T */ 00, 30, 00, 60, 2, 0, 0, G_T, &sL052[0], NULL, NULL,
/* U */ 00, 40, 00, 60, 2, 1, 0, G_E, &sL053[0], &sE053[0], NULL,
/* V */ 00, 40, 00, 60, 2, 0, 0, G_V, &sL054[0], NULL, NULL,
/* W */ 00, 60, 00, 60, 4, 0, 0, G_V, &sL055[0], NULL, NULL,
/* X */ 00, 40, 00, 60, 2, 0, 0, G_E, &sL056[0], NULL, NULL,
/* Y */ 00, 40, 00, 60, 3, 0, 0, G_V, &sL057[0], NULL, NULL,
/* Z */ 00, 40, 00, 60, 3, 0, 0, G_E, &sL058[0], NULL, NULL,
/* [ */ 00, 10, 00, 60, 3, 0, 0, G_E, &sL059[0], NULL, NULL,
/* \ */ 00, 40, 00, 60, 1, 0, 0, G_E, &sL060[0], NULL, NULL,
/* ] */ 00, 10, 00, 60, 3, 0, 0, G_E, &sL061[0], NULL, NULL,
/* ^ */ 00, 40, 00, 60, 2, 0, 0, G_E, &sL062[0], NULL, NULL,
/* _ */ 00, 40, 00, 00, 1, 0, 0, G_E, &sL063[0], NULL, NULL,
/* ` */ 00, 10, 00, 60, 1, 0, 0, G_E, &sL064[0], NULL, NULL,
/* a */ 00, 35, 00, 40, 2, 3, 0, G_a, &sL065[0], &sE065[0], NULL,
/* b */ 00, 30, 00, 60, 3, 2, 0, G_b, &sL066[0], &sE066[0], NULL,
/* c */ 00, 35, 00, 40, 0, 2, 0, G_a, NULL, &sE067[0], NULL,
/* d */ 00, 30, 00, 60, 3, 2, 0, G_d, &sL068[0], &sE068[0], NULL,
/* e */ 00, 30, 00, 40, 3, 2, 0, G_a, &sL069[0], &sE069[0], NULL,
/* f */ 00, 25, 00, 60, 2, 1, 0, G_f, &sL070[0], &sE070[0], NULL,
/* g */ 00, 30,-20, 40, 3, 3, 0, G_a, &sL071[0], &sE071[0], NULL,
/* h */ 00, 30, 00, 60, 2, 1, 0, G_b, &sL072[0], &sE072[0], NULL,
/* i */ 00, 04, 00, 60, 1, 0, 1, G_f, &sL073[0], NULL, &sP073[0],
/* j */ 00, 15,-20, 60, 1, 1, 1, G_j, &sL074[0], &sE074[0], &sP074[0],
/* k */ 00, 30, 00, 60, 3, 0, 0, G_b, &sL075[0], NULL, NULL,
/* l */ 00, 10, 00, 60, 1, 1, 0, G_f, &sL076[0], &sE076[0], NULL,
/* m */ 00, 60, 00, 40, 3, 2, 0, G_a, &sL077[0], &sE077[0], NULL,
/* n */ 00, 30, 00, 40, 2, 1, 0, G_a, &sL078[0], &sE078[0], NULL,
/* o */ 00, 30, 00, 40, 2, 2, 0, G_a, &sL079[0], &sE079[0], NULL,
/* p */ 00, 30,-20, 40, 3, 2, 0, G_a, &sL080[0], &sE080[0], NULL,
/* q */ 00, 35,-20, 40, 3, 2, 0, G_a, &sL081[0], &sE081[0], NULL,
/* r */ 00, 20, 00, 40, 1, 1, 0, G_a, &sL082[0], &sE082[0], NULL,
/* s */ 00, 30, 00, 40, 0, 3, 0, G_a, NULL, &sE083[0], NULL,
/* t */ 00, 25, 00, 60, 3, 1, 0, G_f, &sL084[0], &sE084[0], NULL,
/* u */ 00, 30, 00, 40, 2, 1, 0, G_a, &sL085[0], &sE085[0], NULL,
/* v */ 00, 30, 00, 40, 2, 0, 0, G_a, &sL086[0], NULL, NULL,
/* w */ 00, 60, 00, 40, 4, 0, 0, G_a, &sL087[0], NULL, NULL,
/* x */ 00, 30, 00, 40, 2, 0, 0, G_a, &sL088[0], NULL, NULL,
/* y */ 00, 30,-20, 40, 2, 0, 0, G_a, &sL089[0], NULL, NULL,
/* z */ 00, 30, 00, 40, 3, 0, 0, G_a, &sL090[0], NULL, NULL,
/* { */ 00, 10, 00, 60, 0, 2, 0, G_E, NULL, &sE091[0], NULL,
/* | */ 00, 00, 00, 60, 1, 0, 0, G_E, &sL092[0], NULL, NULL,
/* } */ 00, 10, 00, 60, 0, 2, 0, G_E, NULL, &sE093[0], NULL,
/* ~ */ 00, 60, 00, 60, 0, 1, 0, G_E, NULL, &sE094[0], NULL,
/*  */  00, 00, 00, 00, 0, 0, 0, G_E, NULL, NULL, NULL,
/*  */  00, 00, 00, 00, 0, 0, 0, G_E, NULL, NULL, NULL,
/* Ae */ 00, 50, 00, 70, 3, 0, 2, G_A, &sL097[0], NULL, &sP097[0],
/* Oe */ 00, 40, 00, 70, 2, 2, 2, G_E, &sL098[0], &sE098[0], &sP098[0],
/* Ue */ 00, 40, 00, 70, 2, 1, 2, G_E, &sL099[0], &sE099[0], &sP099[0],
/* ae */ 00, 35, 00, 55, 3, 3, 2, G_E, &sL100[0], &sE100[0], &sP100[0],
/* oe */ 00, 30, 00, 55, 2, 2, 2, G_E, &sL101[0], &sE101[0], &sP101[0],
/* ue */ 00, 30, 00, 55, 2, 1, 2, G_E, &sL102[0], &sE102[0], &sP102[0],
/* sz */ 00, 32, -5, 60, 1, 2, 0, G_E, &sL103[0], &sE103[0], NULL,
/* eg */ 00, 00, 00, 63, 1, 0, 0, G_E, &sL104[0], NULL, NULL,
/* gr */ 00, 00, 00, 63, 1, 0, 0, G_E, &sL105[0], NULL, NULL,
/* ce */ 00, 00,-15, 00, 1, 0, 0, G_E, &sL106[0], NULL, NULL,
/* al */ 00, 35, 00, 40, 0, 2, 0, G_E, NULL, &sE107[0], NULL,
/* be */ 00, 30, 00, 60, 1, 2, 0, G_E, &sL108[0], &sE108[0], NULL,
/* ga */ 00, 30, 00, 40, 0, 3, 0, G_E, NULL, &sE109[0], NULL,
/* de */ 00, 30, 00, 60, 0, 3, 0, G_E, NULL, &sE110[0], NULL,
/* ep */ 00, 30, 00, 40, 0, 4, 0, G_E, NULL, &sE111[0], NULL,
/* ze */ 00, 30,-20, 60, 0, 4, 0, G_E, NULL, &sE112[0], NULL,
/* et */ 00, 30,-20, 40, 2, 2, 0, G_E, &sL113[0], &sE113[0], NULL,
/* th */ 00, 40, 00, 60, 0, 4, 0, G_E, NULL, &sE114[0], NULL,
/* jo */ 00, 10, 00, 40, 1, 1, 0, G_E, &sL115[0], &sE115[0], NULL,
/* ka */ 00, 35, 00, 40, 0, 4, 0, G_E, NULL, &sE116[0], NULL,
/* la */ 00, 30, 00, 60, 1, 1, 0, G_E, &sL117[0], &sE117[0], NULL,
/* my */ 00, 35,-20, 40, 2, 2, 0, G_E, &sL118[0], &sE118[0], NULL,
/* ny */ 00, 30, 00, 40, 0, 2, 0, G_E, NULL, &sE119[0], NULL,
/* ks */ 00, 35,-20, 60, 0, 6, 0, G_E, NULL, &sE120[0], NULL,
/* pi */ 00, 35, 00, 40, 3, 3, 0, G_E, &sL121[0], &sE121[0], NULL,
/* rh */ 00, 30,-20, 40, 0, 3, 0, G_E, NULL, &sE122[0], NULL,
/* si */ 00, 30, 00, 40, 0, 3, 0, G_E, NULL, &sE123[0], NULL,
/* ta */ 00, 35, 00, 40, 2, 2, 0, G_E, &sL124[0], &sE124[0], NULL,
/* yp */ 00, 35, 00, 50, 0, 2, 0, G_E, NULL, &sE125[0], NULL,
/* ph */ 00, 30,-20, 40, 0, 3, 0, G_E, NULL, &sE126[0], NULL,
/* ch */ 0E0, 30,-20, 40, 1, 1, 0, G_E, &sL127[0], &sE127[0], NULL,
/* ps */ 0E0, 30,-20, 40, 1, 1, 0, G_E, &sL128[0], &sE128[0], NULL,
/* om */ 0E0, 40, 00, 40, 0, 4, 0, G_E, NULL, &sE129[0], NULL,
/* Al */ 0E0, 50, 00, 60, 6, 0, 0, G_A, &sL130[0], NULL, NULL,
/* Be */ 0E0, 40, 00, 60, 4, 2, 0, G_E, &sL131[0], &sE131[0], NULL,
/* Ga */ 0E0, 40, 00, 60, 3, 0, 0, G_E, &sL132[0], NULL, NULL,
/* De */ 0E0, 40, 00, 60, 3, 0, 0, G_E, &sL133[0], NULL, NULL,
/* Ep */ 0E0, 40, 00, 60, 4, 0, 0, G_E, &sL134[0], NULL, NULL,
/* Ze */ 0E0, 40, 00, 60, 3, 0, 0, G_E, &sL135[0], NULL, NULL,
/* Et */ 0E0, 40, 00, 60, 3, 0, 0, G_E, &sL136[0], NULL, NULL,
/* Th */ 0E0, 40, 00, 60, 1, 2, 0, G_E, &sL137[0], &sE137[0], NULL,
/* Jo */ 0E0, 10, 00, 60, 3, 0, 0, G_E, &sL138[0], NULL, NULL,
/* Ka */ 0E0, 40, 00, 60, 3, 0, 0, G_E, &sL139[0], NULL, NULL,
/* La */ 0E0, 40, 00, 60, 2, 0, 0, G_E, &sL140[0], NULL, NULL,
/* My */ 0E0, 50, 00, 60, 4, 0, 0, G_E, &sL141[0], NULL, NULL,
/* Ny */ 00, 40, 00, 60, 3, 0, 0, G_E, &sL142[0], NULL, NULL,
/* Ks */ 00, 40, 00, 60, 3, 0, 0, G_E, &sL143[0], NULL, NULL,
/* Pi */ 00, 40, 00, 60, 3, 0, 0, G_E, &sL144[0], NULL, NULL,
/* Rh */ 00, 40, 00, 60, 3, 1, 0, G_E, &sL145[0], &sE145[0], NULL,
/* Si */ 00, 40, 00, 60, 4, 0, 0, G_E, &sL146[0], NULL, NULL,
/* Ta */ 00, 30, 00, 60, 2, 0, 0, G_E, &sL147[0], NULL, NULL,
/* Yp */ 00, 40, 00, 60, 1, 2, 0, G_E, &sL148[0], &sE148[0], NULL,
/* Ph */ 00, 40, 00, 60, 1, 2, 0, G_E, &sL149[0], &sE149[0], NULL,
/* Ch */ 00, 40, 00, 60, 2, 0, 0, G_E, &sL150[0], NULL, NULL,
/* Ps */ 00, 40, 00, 60, 3, 1, 0, G_E, &sL151[0], &sE151[0], NULL,
/* Om */ 00, 50, 00, 50, 4, 2, 0, G_E, &sL152[0], &sE152[0], NULL,
/* hb */ 00, 30, 00, 60, 3, 1, 0, G_E, &sL153[0], &sE153[0], NULL,
/* lb */ 00, 30, 00, 60, 2, 1, 0, G_E, &sL154[0], &sE154[0], NULL,
/* in */ 00, 30, 00, 60, 0, 1, 0, G_E, NULL, &sE155[0], NULL,
/* pd */ 00, 25, 00, 60, 0, 3, 0, G_E, NULL, &sE156[0], NULL,
/* bl */ 00, 10, 00, 60, 3, 0, 0, G_E, &sL157[0], NULL, NULL,
/* br */ 00, 10, 00, 60, 3, 0, 0, G_E, &sL158[0], NULL, NULL,
/* if */ 00, 60, 00, 40, 0, 4, 0, G_E, NULL, &sE159[0], NULL,
/* <- */ 00, 50, 00, 40, 3, 0, 0, G_E, &sL160[0], NULL, NULL,
/* -> */ 00, 50, 00, 40, 3, 0, 0, G_E, &sL161[0], NULL, NULL,
/* up */ 00, 20, 00, 55, 3, 0, 0, G_E, &sL162[0], NULL, NULL,
/* dn */ 00, 20, 00, 55, 3, 0, 0, G_E, &sL163[0], NULL, NULL,
/* sb */ 00, 35, 00, 30, 2, 0, 0, G_E, &sL164[0], NULL, NULL,
/* se */ 00, 00, 00, 60, 2, 0, 0, G_E, &sL165[0], NULL, NULL,
/* mb */ 00, 00, 00, 00, 0, 0, 0, G_E, NULL, NULL, NULL,
/* me */ 00, 00, 00, 60, 1, 0, 0, G_E, &sL167[0], NULL, NULL,
/* _b */ 00, 00, 00, 00, 0, 0, 0, G_E, NULL, NULL, NULL,
/* _e */ 00, 00, 00, 00, 1, 0, 0, G_E, &sL169[0], NULL, NULL,
/* ap */ 00, 68, 00, 45, 0, 2, 0, G_E, NULL, &sE170[0], NULL,
/* pr */ 00, 68, 00, 45, 0, 1, 0, G_E, NULL, &sE171[0], NULL,
/* >= */ 00, 30, 00, 50, 3, 0, 0, G_E, &sL172[0], NULL, NULL,
/* <= */ 00, 30, 00, 50, 3, 0, 0, G_E, &sL173[0], NULL, NULL,
/* >a */ 00, 30, 00, 50, 2, 1, 0, G_E, &sL174[0], &sE174[0], NULL,
/* <a */ 00, 30, 00, 50, 2, 1, 0, G_E, &sL175[0], &sE175[0], NULL,
/* |_ */ 00, 40, 00, 60, 2, 0, 0, G_E, &sL176[0], NULL, NULL,
/* ml */ 00, 30, 00, 40, 2, 0, 0, G_E, &sL177[0], NULL, NULL,
/* bu */ 00, 10, 00, 25, 0, 0, 1, G_E, NULL, NULL, &sP178[0],
/* id */ 00, 40, 00, 45, 3, 0, 0, G_E, &sL179[0], NULL, NULL,
/* +- */ 00, 30, 00, 55, 3, 0, 0, G_E, &sL180[0], NULL, NULL,
/* do */ 00, 00, 00, 55, 0, 0, 1, G_E, NULL, NULL, &sP181[0],
/* ve */ 00, 00, 00, 60, 3, 0, 0, G_E, &sL182[0], NULL, NULL,
/* te */ 00, 00, 00, 60, 5, 0, 0, G_E, &sL183[0], NULL, NULL,
/* na */ 00, 30, 00, 40, 3, 0, 0, G_E, &sL184[0], NULL, NULL,
/* pa */ 00, 26, -7, 60, 0, 4, 0, G_E, NULL, &sE185[0], NULL,
/* 1l */ 00, 35, 00, 60, 2, 0, 0, G_E, &sL186[0], NULL, NULL,
/* ,, */ 00, 25, 00, 15, 2, 0, 0, G_E, &sL187[0], NULL, NULL,
/* at */ 00, 35, 00, 62, 2, 4, 0, G_E, &sL188[0], &sE188[0], NULL,
/* li */ 00, 24, 00, 60, 0, 2, 0, G_E, NULL, &sE189[0], NULL,
/* ic */ 00, 30,-30, 60, 0, 3, 0, G_E, NULL, &sE190[0], NULL,
/* an */ 00, 50, 00, 72, 3, 2, 0, G_E, &sL191[0], &sE191[0], NULL,
/* dw */ 00, 00, 00, 00, 0, 0, 0, G_E, NULL, NULL, NULL,
/* dw */ /*00, 105,00, 105,0, 0, 0, G_E, NULL, NULL, NULL,*/
/* ti */ 00, 00, 00, 00, 0, 1, 0, G_E, NULL, &sE193[0], NULL,
/* TE */ 00, 00, 00, 83, 5, 0, 0, G_E, &sL194[0], NULL, NULL,
/* VE */ 00, 00, 00, 83, 3, 0, 0, G_E, &sL195[0], NULL, NULL,
/* Do */ 00, 00, 00, 75, 0, 0, 1, G_E, NULL, NULL, &sP196[0],
/* EG */ 00, 00, 00, 83, 1, 0, 0, G_E, &sL197[0], NULL, NULL,
/* GR */ 00, 00, 00, 83, 1, 0, 0, G_E, &sL198[0], NULL, NULL,
/* ci */ 00, 00, 00, 63, 2, 0, 0, G_E, &sL199[0], NULL, NULL,
/* CI */ 00, 00, 00, 83, 2, 0, 0, G_E, &sL200[0], NULL, NULL,
/* Ce */ 00, 00, 00, 00, 1, 0, 0, G_E, &sL201[0], NULL, NULL,
};
