/*

   $Log: satan.h,v $
   Revision 1.3  1999/07/30 17:44:32  kraemer
   added tutorial command

   Revision 1.2  1999/06/18 12:17:11  kraemer
   thread defines

   Revision 1.1.1.1  1997/07/10 19:31:04  kraemer


*/
#include <pthread.h>

                      /* flags for started subsystems */
#define SATAN_CMDINIT    0x00000001     /* cmd subsystem */
#define SATAN_GINIT      0x00000002     /* base gfx subsystem */
#define SATAN_FITINIT    0x00000004     /* fit subsystem */
#define SATAN_ANLINIT    0x00000008     /* analyzer subsystem */
#define SATAN_DSPINIT    0x00000010     /* display subsystem */
#define SATAN_IOINIT     0x00000020     /* I/O subsystem */
#define SATAN_VSMINIT    0x00000040     /* VSAM subsystem */
#define SATAN_THREADINIT 0x00000080     /* threads are active */

                      /* Gloabal system status flags */
#define SATAN_SYSINIT    0x00000001     /* system is initialized */
#define SATAN_SYSTSO     0x00000002     /* Foreground run */
#define SATAN_SYSTBV     0x00000004     /*  */
#define SATAN_SYSDUMP    0x00000008     /*  */
#define SATAN_SYSREPORT  0x00000010     /*  */
#define SATAN_PROTOCOL   0x00000020     /* protocol wanted on exit */
#define SATAN_NOUNPACK   0x00000100     /* pass event data + header */
#define SATAN_USERMODE   0x00000200     /* pass goosy buffer */
#define SATAN_DEBUG      0x80000000     /* debug mode */

#if defined(REMINDER)

$I_EVT BIN FIXED EXT INIT(0);          -> sEP.lEvt
       $LSTPROC:
       CALL $EVTDEF($I_EVT,'LIST',I_$PRSI,-1,$LIST);
       $LSTPRO7:
       CALL $EVTDEF($I_EVT,'LIST',I_$PRSI,-1,$LIST7);

C_$EVT CHAR(18) VAR STATIC INIT('LIST'),
       $DCLS (in $INIT )
             (in $LIST )
       CALL $ANLDEF(C_$EVT,I_$EVT,C_$ANL,I$_ANAL(I$1),4,0,1,I_$LIM,1);


I_$PRSI (local,static,init(# of event parameters))
       $LSTPROC:
       CALL $EVTDEF($I_EVT,'LIST',I_$PRSI,-1,$LIST);
       $LSTPRO7:
       CALL $EVTDEF($I_EVT,'LIST',I_$PRSI,-1,$LIST7);

       $LIST: ENTRY(
I_$EVBF, (event buffer)
I_$EVTS, (# of events)
I_$PARS  (# of parameters / event )
                   );
P_$SEH PTR INIT(NULL()), (static)
   1 S_$EH BASED(P_$SEH),
                  /* ONE STR FOR EACH EVENT TYPE */
                  /* HEADER, DESCRIBING ATTRIBUTES OF EVENT TYPE */
      2    I_$EHNO BIN FIXED INIT(0),
                  /* NO OF EVENT TYPE */
      2    C_$EHNAM CHAR(18) VAR INIT(''),
                  /* NAME OF EVENT TYPE */
      2    I_$EHADC BIN FIXED INIT(0),
                  /* NO OF PARAMETERS (ADC'S) FOR THIS EVENT TYPE*/
      2    I_$EHCAM BIN FIXED INIT(0),
                  /* ADC GROUP NO FOR THIS EVENT TYPE */
                  /* USED FOR IDENTIFICATION OF DATA */
      2    EH_ENTRY ENTRY((*) BIN FIXED,BIN FIXED,BIN FIXED),
                  /* ENTRY OF USER'S ANALYZING ROUTINE */
      2    I_$EHOVF BIN FIXED INIT(0),
                  /* NO OF BUFFER OVERFLOWS */
                  /* ( = CALLS TO ANALYZING ROUTINE) */
      2    I_$EHSIZ BIN FIXED INIT(0),
                 /* SIZE OF BUFFER TO BE ALLOCATED */
      2    P_$EHANA PTR INIT(NULL()),
                 /* PTR TO ANALYZER STRUCTURES */
      2    P_$EHBUF PTR INIT(NULL()),

   P_$SEH = NULL; RETURN; G_$ANTRY; ...

I_$EVT BIN FIXED INIT(0), (static)

   P_$SEH = $P_EVT;
   I_$EVT = P_$SEH -> I_$EHNO;
   CALL $ANLDEF(C_$EVT,I_$EVT,C_$ANL,I$_ANAL( ...
   P_$SEH = NULL; RETURN; G_$ANTRY;

$LEXT($P_EVT,ANL) PTR INIT(NULL()),    -> sEP.pEvt

#endif

/*
   --- SATAN's master control structure ---------------------------------
*/
struct SSATAN {
   unsigned long lExit;        /* 1/0: EXIT command given/not given */
   unsigned long lSubSystem;   /* flag word to record initialized subsystems */
   unsigned long lStatus;      /* global status flags */
   int iPad[5];
//   pthread_t sThread;
#define MUSERID L_cuserid 
   char cUserID[MUSERID+1];
};
/*
   --- function definitions ----------------------------------------------
*/
void _cexit (long *);
void _cstore(void);
void _help  (char *);
void _tutor(char *, long *);
void _setsys(void);
void _sysend(void);
int  _syinit(void);
void _myexit(void);
void _sysemsg( char *, int );
/*
   --- error codes ------------------------------------------------------
*/
#define ERRSAT_SYS          -1
#define ERRSAT_CMD          -2
#define ERRSAT_CONV         -3
#define ERRSAT_INIT         -4
#define ERRSAT_FORK         -5
#define ERRSAT_ARGERR       -6
#define ERRSAT_JOIN         -7
#define ERRSAT_CONDINIT     -8
#define ERRSAT_MUTEXINIT    -9
#define ERRSAT_CONDSIGNAL  -10 
#define ERRSAT_MUTEXLOCK   -11 
#define ERRSAT_MUTEXUNLOCK -12
#define ERRSAT_OSVERSION   -13
#define ERRSAT_ANALYSISINIT -14
#define ERRSAT_EVTDEF      -15
#define ERRSAT_SRTDEF      -16
#define ERRSAT_ANLDEF      -18
#define ERRSAT_PARDEF      -17
