#if defined(AMIGA) || defined(__EMX__)
#ifndef Y_H
#define Y_H
/*


   Copyright  1992-1995 M.Kraemer, D-64283 Darmstadt, Hoelgesstr. 16,
                         all rights reserved

*/
/* LineStyle */

#define LineSolid               0
#define LineOnOffDash           1
#define LineDoubleDash          2

/* capStyle */

#define CapNotLast              0
#define CapButt                 1
#define CapRound                2
#define CapProjecting           3

/* joinStyle */

#define JoinMiter               0
#define JoinRound               1
#define JoinBevel               2

/* fillStyle */

#define FillSolid               0
#define FillTiled               1
#define FillStippled            2
#define FillOpaqueStippled      3

/* fillRule */

#define EvenOddRule             0
#define WindingRule             1

/* Arc modes for PolyFillArc */

#define ArcChord                0       /* join endpoints of arc */
#define ArcPieSlice             1       /* join endpoints to center of arc*/

#define GCFunction              (1L<<0)
#define GCPlaneMask             (1L<<1)
#define GCForeground            (1L<<2)
#define GCBackground            (1L<<3)
#define GCLineWidth             (1L<<4)
#define GCLineStyle             (1L<<5)
#define GCCapStyle              (1L<<6)
#define GCJoinStyle             (1L<<7)
#define GCFillStyle             (1L<<8)
#define GCFillRule              (1L<<9)
#define GCTile                  (1L<<10)
#define GCStipple               (1L<<11)
#define GCTileStipXOrigin       (1L<<12)
#define GCTileStipYOrigin       (1L<<13)
#define GCFont                  (1L<<14)
#define GCSubwindowMode         (1L<<15)
#define GCGraphicsExposures     (1L<<16)
#define GCClipXOrigin           (1L<<17)
#define GCClipYOrigin           (1L<<18)
#define GCClipMask              (1L<<19)
#define GCDashOffset            (1L<<20)
#define GCDashList              (1L<<21)
#define GCArcMode               (1L<<22)

typedef struct {
        int function;           /* logical operation */
        unsigned long plane_mask;/* plane mask */
        unsigned long foreground;/* foreground pixel */
        unsigned long background;/* background pixel */
        int line_width;         /* line width */
        int line_style;         /* LineSolid, LineOnOffDash, LineDoubleDash*/
        int cap_style;          /* CapNotLast, CapButt,
                                   CapRound, CapProjecting */
        int join_style;         /* JoinMiter, JoinRound, JoinBevel */
        int fill_style;         /* FillSolid, FillTiled,
                                   FillStippled, FillOpaeueStippled */
        int fill_rule;          /* EvenOddRule, WindingRule */
        int arc_mode;           /* ArcChord, ArcPieSlice */
//        Pixmap tile;            /* tile pixmap for tiling operations */
//        Pixmap stipple;         /* stipple 1 plane pixmap for stipping */
        int ts_x_origin;        /* offset for tile or stipple operations */
        int ts_y_origin;
//        Font font;              /* default text font for text operations */
        int subwindow_mode;     /* ClipByChildren, IncludeInferiors */
//        Bool graphics_exposures;/* boolean, should exposures be generated */
        int clip_x_origin;      /* origin for clipping */
        int clip_y_origin;
//        Pixmap clip_mask;       /* bitmap clipping; other calls for rects */
        int dash_offset;        /* patterned/dashed line information */
        char dashes;
} YGCVALUES;

#if defined(AMIGA)

#define MDASHLIST 4

struct YGC {
   short  iClp[4];    /* actual clipping coord.s minx/y/maxx/y */
   unsigned short iBltMax[2]; /* max size of bitmaps handled by the blitter:
                         32736*32768 (ECS), 992*1024 (pre-ECS) */
   int iLineWidth, iLineStyle, iArcMode;
   short iR, iW;      /* radius & width of thick line stencil */
   short iDashOffset, nDashList;
   char cDashList[MDASHLIST];
   struct Region *pRgn;
   struct Region *pRgnSave;
   struct RastPort *pRP[4];     /* [0]: general aux. rastports,
                                   [1]: for thick line pen */
};

                                /* color */
typedef struct {
   unsigned long ulPixel;
   unsigned short usRed, usGreen, usBlue;
   unsigned char bFlags;  /* do_red, do_green, do_blue */
   char pad;
} yColor;

#define DoRed                   (1<<0)
#define DoGreen                 (1<<1)
#define DoBlue                  (1<<2)

unsigned long yBlackPixel( struct Screen * );
unsigned long yWhitePixel( struct Screen * );
int yAllocColor( struct Screen *, yColor * );

void yFillArc    ( struct RastPort *, struct YGC *, short [6] );
void yFillPolygon( struct RastPort *, struct YGC *, short *, int, int );
void yDrawArc    ( struct RastPort *, struct YGC *, short [6] );
void yDrawLines  ( struct RastPort *, struct YGC *, short *, int, int );
void yDrawCurve  ( struct RastPort *, struct YGC *, short [4][2], int, int );
void ySetClipRectangle( struct Window *, struct YGC *, short * );
void ySetLineAttributes( struct RastPort *, struct YGC *, int, int, int, int );
void ySetDashes  ( struct RastPort *, struct YGC *, int, char [], int );
struct YGC *yCreateGC( struct Window *);
struct RastPort *yCreateRP( unsigned short, unsigned short, unsigned char, short );
struct BitMap *yCreateBM( unsigned short, unsigned short, unsigned char );
void yFreeGC( struct Window *, struct YGC *);
void yFreeRP( struct RastPort * );
void yFreeBM( struct BitMap * );
void yGetBltMax( unsigned short [] );
void yChangeGC( struct RastPort *, struct YGC *, unsigned long, YGCVALUES * );
#endif

#endif
#endif
